<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">

<title><?php woo_title(); ?></title>
<?php woo_meta(); ?>
    
<link rel="stylesheet" type="text/css" href="<?php bloginfo( 'stylesheet_url' ); ?>" media="screen" />
<link rel="stylesheet" type="text/css" media="all" href="<?php echo get_template_directory_uri(); ?>/css/effects.css" />
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php if ( get_option( 'woo_feedburner_url' ) != '' ) { echo get_option( 'woo_feedburner_url' ); } else { echo get_bloginfo_rss( 'rss2_url' ); } ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
      
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>
<?php woo_head(); ?>
</head>

<body <?php body_class(); ?>>

<div id="container">

	<div id="header" class="col-full">
   
		<div id="logo">
	       
	       	<?php if ( get_option( 'woo_texttitle' ) != 'true' ) : $logo = get_option( 'woo_logo' ); ?>
            	<a href="<?php bloginfo('url'); ?>" title="<?php bloginfo( 'description' ); ?>">
                	<img src="<?php if ($logo) echo $logo; else { echo get_template_directory_uri(); ?>/images/logo.png<?php } ?>" alt="<?php bloginfo('name'); ?>" />
                </a>
			<?php endif; ?>
	      	
	      	<?php if( is_single() || is_page() ) : ?>
	      		<span class="site-title"><a href="<?php bloginfo( 'url' ); ?>"><?php bloginfo( 'name' ); ?></a></span>
	      	<?php else: ?>
	      		<h1 class="site-title"><a href="<?php bloginfo( 'url' ); ?>"><?php bloginfo( 'name' ); ?></a></h1>
	      	<?php endif; ?>
	      	
	      		<span class="site-description"><?php bloginfo( 'description' ); ?></span>
	      	
		</div><!-- /#logo -->
	       
	   	<?php if ( get_option( 'woo_ad_top' ) == 'true' ) : ?>
	    
	    	<div id="topad">
	    	  	<?php get_template_part( 'ads/top_ad' ); ?>
	    	</div><!-- /#topad -->
	    	
	    <?php else: ?>
	    	           	    	
            <div id="address">
	    		<ul>
	    			<li class="name"><?php echo get_option( 'woo_address_name' ); ?></li>
		    		<li class="street"><?php echo get_option( 'woo_address_street' ); ?></li>
		    		<li class="telephone"><?php echo get_option( 'woo_address_phone' ); ?></li>
		    		<li class="email"><?php echo get_option( 'woo_address_email' ); ?></li>
	    		</ul>
	    	</div><!-- /#address -->
	    	
	    <?php endif; ?>
       
	</div><!-- /#header -->
	
	<div id="navigation" class="col-full">
	      <?php
    		if ( function_exists('has_nav_menu') && has_nav_menu('primary-menu') ) {
    			wp_nav_menu( array( 'depth' => 6, 'sort_column' => 'menu_order', 'container' => 'ul', 'menu_id' => 'nav', 'menu_class' => 'fl', 'theme_location' => 'primary-menu' ) );
    		} else {
    		?>
        <ul id="nav" class="fl">

			<?php 
        	if (get_option('woo_custom_nav_menu') == 'true') {
        		if (function_exists('woo_custom_navigation_output'))
					woo_custom_navigation_output('depth=6');

			} else {

				if ( is_page() ) $highlight = "page_item"; else $highlight = "page_item current_page_item"; 
				?>
	            <li class="<?php echo $highlight; ?>"><a href="<?php bloginfo('url'); ?>"><?php _e( 'Home', 'woothemes' ); ?></a></li>
	            <?php 
	    			wp_list_pages( 'sort_column=menu_order&depth=6&title_li=&exclude=' ); 

			}
			?>

        </ul><!-- /#nav -->
        <?php } ?>
        <div class="search">
        
        	<form method="get" id="searchform" action="<?php echo home_url( '/' ); ?>">
        
        		<input type="text" class="field" name="s" id="s"  value="<?php _e('Search...', 'woothemes' ); ?>" onfocus="if (this.value == '<?php _e('Search...', 'woothemes' ); ?>') {this.value = '';}" onblur="if (this.value == '') {this.value = '<?php _e('Search...', 'woothemes' ); ?>';}" />
		        <input type="image" class="submit" name="submit" src="<?php echo get_template_directory_uri(); ?>/images/searchsubmit.png" />
        
		    </form>        
        
        </div><!-- /.search -->
        
	</div><!-- /#navigation -->