<?php 

/*-----------------------------------------------------------------------------------

TABLE OF CONTENTS

- Custom theme actions/functions
	- Add specific IE styling/hacks to HEAD
	- Add custom styling
- Custom hook definitions
- Woo Slider Setup

-----------------------------------------------------------------------------------*/

/*-----------------------------------------------------------------------------------*/
/* Custom functions */
/*-----------------------------------------------------------------------------------*/

// Add specific IE styling/hacks to HEAD
add_action('wp_head','woo_IE_head');
function woo_IE_head() {
?>

<!--[if IE 6]>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/includes/js/pngfix.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/includes/js/menu.js"></script>
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo('template_directory'); ?>/css/ie6.css" />
<![endif]-->	

<!--[if IE 7]>
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo('template_directory'); ?>/css/ie7.css" />
<![endif]-->

<!--[if IE 8]>
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo('template_directory'); ?>/css/ie8.css" />
<![endif]-->

<?php
}

// Add custom styling
add_action('woo_head','woo_custom_styling');
function woo_custom_styling() {
	
	// Get options
	$link = get_option('woo_link_color');
	$hover = get_option('woo_link_hover_color');
	$button = get_option('woo_button_color');
		
	// Add CSS to output
	if ($link)
		$output .= 'a:link, a:visited {color:'.$link.'}' . "\n";
	if ($hover)
		$output .= 'a:hover {color:'.$hover.'}' . "\n";
	if ($button)
		$output .= '.button, .button:visited, .reply a{ background-color:'.$button.'}' . "\n";
	
	// Output styles
	if (isset($output)) {
		$output = "\n<!-- Woo Custom Styling -->\n<style type=\"text/css\">\n" . $output . "</style>\n<!-- /Woo Custom Styling -->\n";
		echo $output;
	}
		
} 


/*-----------------------------------------------------------------------------------*/
/* Woo Slider Setup */
/*-----------------------------------------------------------------------------------*/

add_action( 'wp_head', 'woo_slider_setup', 10 );

if ( ! function_exists( 'woo_slider_setup' ) ) {
	function woo_slider_setup () {
	
	$autoStart = 0;
	$slidespeed = 600;
	$slidespeed = get_option( 'woo_slider_speed' ) * 1000; 
	if ( $slidespeed > 5000) { $slidespeed = 5000; }
	if ( get_option( 'woo_slider_auto' ) == 'true' ) {
	   $autoStart = get_option( 'woo_slider_interval' ) * 1000;
	}
?>
	<!-- Slider Setup -->
	<script type="text/javascript">
	<?php if ( is_home() ) { ?>
	jQuery(window).load(function(){
		if ( jQuery( '#loopedSlider .slide' ).length > 1 ) {
		    jQuery( '#loopedSlider' ).slides({
		        play: <?php echo $autoStart; ?>, 
		        slideSpeed: <?php echo $slidespeed; ?>, 
		        fadeSpeed: <?php echo $slidespeed; ?>, 
		        autoHeight: true, 
		        container: 'slides', 
		        generatePagination: false, 
		        generateNextPrev: false, 
		        paginationClass: 'pagination', 
		        currentClass: 'active', 
		        next: 'next', 
		        prev: 'previous'
		    });
	    } else {
	    	jQuery( '#loopedSlider .container' ).animate( { height: jQuery( '#loopedSlider .slide:first' ).outerHeight(), opacity: 1 }, 1000, function () {
	    		jQuery( '#loopedSlider .slide:first' ).fadeIn();
	    	} );
	    }
	});
	<?php } ?>
	</script>
	<!-- /Slider Setup -->
<?php
	} // End woo_slider_setup()
}

/*-----------------------------------------------------------------------------------*/
/* Custom Hook definition */
/*-----------------------------------------------------------------------------------*/

// Add any custom hook definitions you want here
// function woo_hook_name() { do_action( 'woo_hook_name' ); }					

?>